Name:		youtube-dl
Version:	2013.08.09
Release:	%mkrel 0.1
Summary:	Small command-line program to download videos from YouTube
Summary(fr_FR):	Programme en ligne de commande pour télécharger des vidéos à partir de YouTube
License:	Public Domain
Group:		Video/Players
URL:		http://rg3.github.com/youtube-dl/
# wget https://github.com/rg3/youtube-dl/archive/%%{version}.zip -O %%{version}.zip
Source0:	https://github.com/rg3/youtube-dl/archive/%{version}.zip
Patch0:		%{name}-2013.06.21-mga-dont-ship-with-documentation-generated-with-pandoc.patch

BuildArch:	noarch
BuildRequires:	zip
Requires:	python

%description
Small command-line program to download videos from YouTube.

%description -l fr_FR
Petit programme en ligne de commande pour télécharger des vidéos 
à partir de YouTube

%prep
%setup -q
%patch0 -p0
rm -f youtube-dl
rm -f youtube-dl.exe

%build

%install
make install DESTDIR="%{buildroot}" PREFIX="%{_prefix}" MANDIR="%{_mandir}"

%files
%doc CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Sat Aug 10 2013 david.david (MLO Team) <david.david> 2013.08.09-0.1.mga3
+ new version: 2013.08.09

* Mon Jul 29 2013 david.david (MLO Team) <david.david> 2013.07.25.2-0.1.mga3
+ new version: 2013.07.25.2

* Fri Jul 05 2013 david.david (MLO Team) <david.david> 2013.07.05-0.1.mga3
+ new version: 2013.07.05

* Sat Jun 22 2013 david.david (MLO Team) <david.david> 2013.06.21-0.1.mga3
+ new version: 2013.06.21
- update P0: mga-dont-ship-with-documentation-generated-with-pandoc.patch

* Thu Jun 20 2013 david.david (MLO Team) <david.david> 2013.05.23-0.1.mga3
+ new version: 2013.05.23
- update P0: mga-dont-ship-with-documentation-generated-with-pandoc.patch
- update Build require zip (not unzip)

	+ kamil <kamil>
	  + Revision: 426300
	  - Build require unzip
	  - new version 2013.04.18
	  - install with Makefile
	  - add P0: mga-dont-ship-with-documentation-generated-with-pandoc.patch
	  - remove S1 - not upstream version of the man page
	  - update license to Public Domain - no more tainted GPL with the man page

* Fri May 17 2013 david.david (MLO Team) <david.david> 2013.05.14-1.mga3
+ New version 2013.05.14 and update Source0
- rename P0 to mga-disable-broken-installation-of-extras.patch

* Tue May 07 2013 david.david (MLO Team) <david.david> 2013.05.07-1.mga3
+ New version 2013.05.07 and update Source0
- rename P0 to mga-disable-broken-installation-of-extras.patch

* Sat May 04 2013 david.david (MLO Team) <david.david> 2013.05.04-1.mga3
+ New version 2013.05.04 and update Source0
- rename P0 to mga-disable-broken-installation-of-extras.patch
- add french language in %%description and %%Summary

* Wed May 01 2013 david.david (MLO Team) <david.david> 2013.04.31-1.mga3
+ New version 2013.04.31 and update Source0
- rename P0 to mga-disable-broken-installation-of-extras.patch

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 2013.04.22-1.mga3
+ New version 2013.04.22 and update Source0
- rename P0 to mga-disable-broken-installation-of-extras.patch

* Sun Apr 21 2013 david.david (MLO Team) <david.david> 2013.04.18-1.mga3
+ New version 2013.04.18 and update Source0
- rename P0 to mga-disable-broken-installation-of-extras.patch

* Sat Apr 13 2013 david.david (MLO Team) <david.david> 2013.04.11-1.mga3
+ Build package for Mageia 3 (Core)
- rename P0 to mga-disable-broken-installation-of-extras.patch
- new version 2013.04.11 and update Source0

* Mon Jan 14 2013 umeabot <umeabot> 2012.12.11-2.mga3
+ Revision: 387601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 kamil <kamil> 2012.12.11-1.mga3
+ Revision: 331806
- rename P0 to mga-disable-broken-installation-of-extras.patch
- add P0 mga-disable-broken-installation-of-bash-completion.patch
- global reorganize .spec, build from tag from github - don't use new binary blobs from th project website
- new version 2012.12.11 and update Source0

* Tue Nov 27 2012 kamil <kamil> 2012.11.17-1.mga3
+ Revision: 322264
- update sources
- clean .spec, drop external copy-n-paste webpages. new version 2012.11.17

* Tue Oct 16 2012 tv <tv> 2012.10.09-1.mga3
+ Revision: 307347
- fix group
- new release

* Wed Mar 07 2012 kamil <kamil> 2012.02.27-1.mga2
+ Revision: 221335
- new version 2012.02.27

* Tue Jan 10 2012 kamil <kamil> 2012.01.08b-1.mga2
+ Revision: 194509
- new version

* Sat Jan 07 2012 kamil <kamil> 2012.01.05-1.mga2
+ Revision: 192811
- new version

* Wed Jan 04 2012 kamil <kamil> 2011.12.18-1.mga2
+ Revision: 190784
- new version

* Tue Dec 13 2011 kamil <kamil> 2011.12.08-1.mga2
+ Revision: 181079
- new version
- replace %%{SOURCEXYZ} with %%{_sourcedir}/file-name
- drop cleaning in %%install

* Tue Nov 29 2011 kamil <kamil> 2011.11.23-1.mga2
+ Revision: 174034
- new version

* Wed Nov 02 2011 obgr_seneca <obgr_seneca> 2011.10.19-1.mga2
+ Revision: 161811
- change Reuires to unversioned python, since there is no
  python smaller 2.7 in Mageia

  + kamil <kamil>
    - new version
    - added man page from Debian package under GPLv2
    - added docs from the project website
    - imported package youtube-dl
